## net.sf.saxon.trans
Class StaticError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.transform.TransformerException
                  net.sf.saxon.trans.XPathException
                      net.sf.saxon.trans.StaticError

All Implemented Interfaces:
  java.io.Serializable

Deprecated. since 9.0: use the superclass, `XPathException`

    public class StaticError

extends XPathException

Exception used for static errors in XPath, XSLT, or XQuery

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException
`XPathException.Circularity`

Constructor Summary
`StaticError(java.lang.Exception err)` Deprecated.
`StaticError(java.lang.String message)` Deprecated.
`StaticError(java.lang.String message, javax.xml.transform.SourceLocator loc)` Deprecated.
`StaticError(java.lang.String message, java.lang.Throwable err)` Deprecated.

Method Summary

Methods inherited from class net.sf.saxon.trans.XPathException
`getErrorCodeLocalPart, getErrorCodeNamespace, getErrorObject, getXPathContext, hasBeenReported, isStaticError, isTypeError, makeStatic, makeXPathException, maybeSetContext, maybeSetLocation, setErrorCode, setErrorCode, setErrorObject, setHasBeenReported, setIsStaticError, setIsTypeError, setXPathContext`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaticError

    public StaticError(java.lang.String message)

  Deprecated.

### StaticError

    public StaticError(java.lang.Exception err)

  Deprecated.

### StaticError

    public StaticError(java.lang.String message,
                       java.lang.Throwable err)

  Deprecated.

### StaticError

    public StaticError(java.lang.String message,
                       javax.xml.transform.SourceLocator loc)

  Deprecated.

Copyright (c) Saxonica Limited. All rights reserved.